from netforce.model import Model, fields, get_model
from netforce.access import get_active_company

class CycleItemLine(Model):
    _name="clinic.cycle.item.line"
    _string="Cycle Item Line"
    
    def all_amount(self,ids,context={}):
        res={}
        for obj in self.browse(ids):
            res[obj.id]={
                'amount': (obj.qty or 0)*(obj.rate or 0.0),
            }
        return res 

    _fields={
        'item_id': fields.Many2One("clinic.cycle.item", "Cycle Item"),
        'level_id': fields.Many2One("clinic.staff.level", "Level",domain=[['type','=','nurse']]),
        'qty': fields.Integer("Qty"),
        'var_a': fields.Float("A"),
        'var_b': fields.Float("B"),
        'formular_org': fields.Char("FML1 (Setting)", size=100),
        'formular': fields.Char("FML2", size=100),
        'rate': fields.Float("Rate"),
        'amount': fields.Float("Result",scale=2),
        'company_id': fields.Many2One('company','Company'),
        "state": fields.Selection([["fail","Fail"],["success","Success"]],"Status",),
    }

    _defaults={
        "company_id": lambda *a: get_active_company(),
    }

CycleItemLine.register()
