from netforce.model import Model, fields
from netforce.access import get_active_company

class LaborCostFormular(Model):
    _name="clinic.labor.cost.formular"
    _string="Labor Cost Formular"
    _name_field="labor_cost_id"

    _fields={
        "labor_cost_id": fields.Many2One("clinic.labor.cost","Cycle Item",required=True),
        'level_id': fields.Many2One("clinic.staff.level", "Level",domain=[['type','=','nurse']]),
        'qty': fields.Integer("Qty"),
        'var_a': fields.Float("A"),
        'var_b': fields.Float("B"),
        'formular_org': fields.Char("FML1 (Setting)", size=100),
        'formular': fields.Char("FML2", size=100),
        'rate': fields.Float("Rate"),
        'amount': fields.Float("Result",scale=2),
        'company_id': fields.Many2One('company','Company'),
        "state": fields.Selection([["fail","Fail"],["success","Success"]],"Status",),
    }

    _defaults={
        "company_id": lambda *a: get_active_company(),
    }

LaborCostFormular.register()
