from netforce.model import Model, fields, get_model

class SettingPolicy(Model):
    _name="clinic.setting.policy"
    _string="Setting Policy"

    _fields={
        "setting_id": fields.Many2One("clinic.setting","Setting"),
        "patient_type_id": fields.Many2One("clinic.patient.type","Patient Type"),
        "invoice_policy": fields.Selection([("fee","Only fee"),("fee_mdc","Fee & Medicine")],"Policy"),
        "invoice_option": fields.Selection([("fee_mdc_plus","Combine Fee & Medicine"),("fee_mdc_split","Split Fee & Medicine")],"Option"),
    }

    _order="patient_type_id" 

    def _write(self,ids,vals,**kw):
        obj=self.browse(ids)[0]
        if obj.invoice_policy=='fee':
            vals['invoice_option']=''
        super().write(ids,vals,**kw)

SettingPolicy.register()
